\documentclass{SPhdThesis}

% PDF and title properties.
\SgSetTitle{AcouMan — Acoustophoretic Manipulation Platform}
\SgSetAuthor{Josef Matouš}
\SgSetYear{2020}
\SgSetSupervisor{Ing. Martin Gurtner}
\SgSetDegree{Master's thesis}
\SgSetUniversity{Czech Technical University in Prague}
\SgSetFaculty{Faculty of Electrical Engineering}
\SgSetDepartment{Department of Control Engineering}	
\SgSetDeclarationDate{May 2020}

% Make the nomenclature
\usepackage{nomencl}
\makenomenclature

% Command for TODO things
\usepackage{todonotes}

\usepackage[bottom]{footmisc} % footnotes below figures
\usepackage{placeins}

\usepackage{graphicx}
\usepackage{calc}
\newlength{\depthofsumsign}
\setlength{\depthofsumsign}{\depthof{$\sum$}}
\newlength{\totalheightofsumsign}
\newlength{\heightanddepthofargument}

\newcommand{\nsum}[1][1.4]{% only for \displaystyle
    \mathop{%
        \raisebox
            {-#1\depthofsumsign+1\depthofsumsign}
            {\scalebox
                {#1}
                {$\displaystyle\sum$}%
            }
    }
}

\newcommand{\mathsmall}[1]{{\scriptstyle #1}}

% General text commands
\newcommand{\q}[1]{`#1'}
\newcommand{\abbrv}[1]{\emph{#1}}
\newcommand{\figref}[1]{Figure~\ref{#1}}

% Math commands
\newcommand{\e}{\mathrm{e}}
\newcommand{\imag}{\mathrm{j}}
\newcommand{\vect}[1]{\mathbf{#1}}
\newcommand{\mat}[1]{\mathbf{#1}}
\newcommand{\grvect}[1]{\boldsymbol{#1}}
\newcommand{\bessel}[1]{\mathrm{J}_{#1}}
\newcommand{\trans}{^{\mathrm{T}}}
\newcommand{\diag}[1]{\mathrm{diag}\left(#1\right)}

\DeclareMathOperator*{\argmin}{arg\,min}

\makenomenclature
\setlength{\nomlabelwidth}{3cm}
\setlength{\nomitemsep}{-\parsep}

% The document.
\begin{document}
	\begin{frontmatter}
		% Cover is not done yet
		%\coverimage{}
		%\makecover
		\SgAddTitle{ctu_logo/cvut_symbol.pdf}%
		\ctuAddAssignment{pdf_input_files/assignment.pdf}%
		\SgAddDeclaration%
		\input{doc_parts/acknowledgments}%
		\input{doc_parts/abstract}%
		
		\SgAddToc%  Table of contents.
		% ---------------		
		% In my opinion, LoF, LoT or LoA are useless in the thesis.
		% ---------------
		%\SgAddLof%  List of figures.
		%\SgAddLot%  List of tables.
		%\SgAddLoa%  List of algorithms.
		\input{doc_parts/nomenclature}	
		\printnomenclature
	\end{frontmatter}
	
	% Divide document into several parts
	\input{doc_parts/introduction}
	\input{doc_parts/ch1_hardware.tex}
	\input{doc_parts/ch2_optimization.tex}
	\input{doc_parts/ch3_floating_ball.tex}
	\input{doc_parts/ch4_triangle.tex}
	\input{doc_parts/ch5_assembly.tex}
	\input{doc_parts/conclusion}
	
	% Appedices
	\begin{appendices}
		\input{doc_parts/appendixes}
		% Biblio could be done better
		\LoiDoBib{biblio}
	\end{appendices}	
	
\end{document}